Subject: Re: bug#69532: mv's new -x option should be made orthogonal to -t/-T/default

From: Bernhard Voelker <[email-masked]>
Date: Sat, 23 Mar 2024 11:24:18 +0100

On 3/22/24 11:22, Karel Zak wrote:
 > On Wed, Mar 20, 2024 at 11:53:05PM +0100, Bernhard Voelker wrote:>> On userland OTOH, we have broader choice.
 >> Karel did his choice in util-linux for exch(1), and coreutils could expose
 >> the same functionality.
 >>
 >> For other feature requests, we were much more reluctant in coreutils ... for
 >> good reasons: feature bloat, maintainability, etc.
 >>
 >> So I'm asking myself what is different this time?
 >> - The feature already exists -> util-linux.
 >
 > Note that we can move exch(1) from util-linux to coreutils if, at the
 > end of the brainstorming session, the conclusion will be that mv(1) is
 > a bad choice :-)

I'd be for that as well, because ...

 >> I'm currently only 20:80 for adding it to mv(1).
 >
 > I think the functionality will be lost in the mv(1) for many users.

... that's a fair point.

The code for the functionality is in copy.c, so - as with mv.c/cp.c/install.c -
we could have a exch.c using just that part, and thus expose a clearer interface
to the users.

Have a nice day,
Berny